function FSP_ToolKit_Main

%****************************************************************
%%%  Initialize the figure Junk
%****************************************************************
clear all
fh = figure(1);
clf
set(fh,'Visible','on','Name','Two_Species_FSP',...
    'Position',[10,640,530,670]);
clear handles

clear handles
Get_Position_handles(fh);
Clear_Figures(fh);
FSP_ToolKit_Example_1(1);
update_gui;

    function Get_Position_handles(fh)
        handles = guidata(fh);
        handles.FunctEnter = 'NA';

        handles.PosTitle = [100 610 350 55];
        handles.EX1 = [160,570,200,30];
        handles.EX2a = [30,540,200,30];
        handles.EX2b = [290,540,200,30];
        handles.EX3a = [30,510,150,30];
        handles.EX3b = [190,510,150,30];
        handles.EX3c = [350,510,150,30];
        handles.EX4a = [30,480,150,30];
        handles.EX4b = [190,480,150,30];
        handles.EX4c = [350,480,150,30];
        handles.EX5 = [30,450,250,30];
        
        handles.First_Spec_Cre = [30,380,240,15];
        handles.Pos1b = [30,350,240,30];
        handles.OM1_Txt = [30,325,105,25];
        handles.PosOmega1 = [125,325,115,30];

        handles.First_Spec_Deg = [30,280,240,15];
        handles.Pos2b = [30,250,240,30];
        handles.OM2_Txt = [30,225,105,25];
        handles.PosOmega2 = [125,225,115,30];

        handles.Sec_Spec_Cre = [280,380,240,15];
        handles.Pos3b = [280,350,240,30];
        handles.OM3_Txt = [280,325,105,25];
        handles.PosOmega3 = [375,325,115,30];

        handles.Sec_Spec_Deg = [280,280,240,15];
        handles.Pos4b = [280,250,240,30];
        handles.OM4_Txt = [280,225,105,25];
        handles.PosOmega4 = [375,225,115,30];

        handles.Final_Time = [370,415,130,30];
        handles.Pos5b = [370,400,130,30];
  
        handles.Pos6 = [370,310,130,15];
        
        handles.PosEps =[240,415,100,30];
        handles.PosEpsilon =[240,400,100,30];

        handles.Pos6b = [380,270,60,40];
        handles.Pos6c = [440,270,60,40];
        handles.PosXInit =[70,413,50,25];
        handles.PosYInit =[180,413,50,25];
        handles.PosX0 =[30,415,50,20];
        handles.PosY0 =[140,415,50,20];
        
        handles.PosMesh = [200,290,130,40];
        handles.PosMeshUD = [200,240,130,40];
        
        handles.SSA_Run = [30,180,130,40];
        handles.PosMeshBox =  [30,120,130,40];
        handles.PosContourBox =  [30,140,130,40];
        handles.Pos_FSP_Solve_It = [30,80,130,40];
        handles.MakeMovie =  [30,30,130,40];
        
        handles.ClearFig =  [370,80,130,40];
        guidata(fh, handles);

    end

end

