    function  Plot_FSP_Solns
        disp(' ');
        disp('The Plots have been updated.')
        handles = guidata(1);
 %% Plot contours
%         handles.OutFig
        axes(handles.OutFig)
        hold off
        if ~isempty(handles.Z)
            N = size(handles.Z)-1;
            contourf([0:N(1)],[0:N(2)],(handles.Z'))
            colorbar
            xlabel('Number of Species X','fontsize',12);
            ylabel('Number of Species Y','fontsize',12);
            title('Joint Probability Distribution','fontsize',12)
            hold on
        end       
        
        %% Plot Marginals
        axes(handles.MargFigX)
        hold on
        if ~isempty(handles.Z)
            N = size(handles.Z)-1;
            plot([0:N(1)],sum(handles.Z'),handles.col,'linewidth',3);
            xlabel('Number of Species X','fontsize',12);
            ylabel('Probability Density','fontsize',12)
            title('Marginal Distribution of X','fontsize',12)
            Mean_of_X = [0:N(1)]*(sum(handles.Z'))'
            Variance_of_X = ([0:N(1)].^2)*(sum(handles.Z'))'-Mean_of_X^2
        end
        axes(handles.MargFigY)
        hold on
        if ~isempty(handles.Z)
            N = size(handles.Z)-1;
            plot([0:N(2)],sum(handles.Z),handles.col,'linewidth',3);
            xlabel('Number of Species Y','fontsize',12);
            ylabel('Probability Density','fontsize',12);
            title('Marginal Distribution of Y','fontsize',12)
            Mean_of_Y = [0:N(2)]*(sum(handles.Z))'
            Variance_of_Y = ([0:N(2)].^2)*(sum(handles.Z))'-Mean_of_Y^2
        end
      
        %% Plot Projection Space
        axes(handles.Proj_Space)
        contourf([0:handles.Xmax1],[0:handles.Xmax2],handles.Hits');
        colormap('gray')
        xlabel('Number of Species X','fontsize',12);
        ylabel('Number of Species Y','fontsize',12);
        title('Projection Space','fontsize',12)


    end
